log4cpp: log4cpp::SyslogAppender Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::SyslogAppender Class Reference

SyslogAppender sends LoggingEvents to the local syslog system. More...

`#include <SyslogAppender.hh>`

Inheritance diagram for log4cpp::SyslogAppender:

[legend]
Collaboration diagram for log4cpp::SyslogAppender:

[legend]
List of all members.

## Public Member Functions
| SyslogAppender (const std::string &name, const std::string &syslogName, int facility=LOG_USER)
| Instantiate a SyslogAppender with given name and name and facility for syslog.
virtual | ~SyslogAppender ()
virtual bool | reopen ()
| Calls closelog(3) and openlog(3).
virtual void | close ()
| Calls closelog(3) to close the syslog file descriptor.
## Static Public Member Functions
static int | toSyslogPriority (Priority::Value priority)
| Translates a log4cpp priority to a syslog priority.
## Protected Member Functions
virtual void | open ()
| Calls openlog(3).
virtual void | _append (const LoggingEvent &event)
| Sends a LoggingEvent to syslog.
## Protected Attributes
const std::string | _syslogName
int | _facility

## Detailed Description

SyslogAppender sends LoggingEvents to the local syslog system.

## Constructor & Destructor Documentation

log4cpp::SyslogAppender::SyslogAppender | ( | const std::string & | name,
|  | const std::string & | syslogName,
|  | int | facility = `LOG_USER` |
| ) |  |  |

Instantiate a SyslogAppender with given name and name and facility for syslog.

Note that the C syslog API is process global, so instantion of a second SyslogAppender will 'overwrite' the syslog name of the first.

Parameters:

  | name | The name of the Appender
  | syslogName | The ident parameter in the openlog(3) call.
  | facility | The syslog facility to log to. Defaults to LOG_USER.

virtual log4cpp::SyslogAppender::~SyslogAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

static int log4cpp::SyslogAppender::toSyslogPriority | ( | Priority::Value | priority | ) | `[static]`

Translates a log4cpp priority to a syslog priority.

Parameters:

  | priority | The log4cpp priority.

Returns:
  the syslog priority.

virtual bool log4cpp::SyslogAppender::reopen | ( |  | ) | `[virtual]`

Calls closelog(3) and openlog(3).

Reimplemented from log4cpp::AppenderSkeleton.

virtual void log4cpp::SyslogAppender::close | ( |  | ) | `[virtual]`

Calls closelog(3) to close the syslog file descriptor.

Implements log4cpp::AppenderSkeleton.

virtual void log4cpp::SyslogAppender::open | ( |  | ) | `[protected, virtual]`

Calls openlog(3).

virtual void log4cpp::SyslogAppender::_append | ( | const LoggingEvent & | event | ) | `[protected, virtual]`

Sends a LoggingEvent to syslog.

Parameters:

  | event | the LoggingEvent to log.

Implements log4cpp::AppenderSkeleton.

## Member Data Documentation

const std::string log4cpp::SyslogAppender::_syslogName`[protected]`

int log4cpp::SyslogAppender::_facility`[protected]`

The documentation for this class was generated from the following file:

- SyslogAppender.hh